- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IFeedContentProvider
TFeedService
TJsonResponse
TJsonService
TPageConfiguration
TPageService
TSoapServer
TSoapService

Keyword

# Class TPageConfiguration

    TComponent
       |
       --TPageConfiguration

TPageConfiguration class

TPageConfiguration represents the configuration for a page. The page is specified by a dot-connected path. Configurations along this path are merged together to be provided for the page.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constructor Summary
public | __construct Array Constructor.

Method Summary
array | getApplicationConfigurations ()
array | getExternalConfigurations ()
array | getProperties () Returns list of page initial property values.
TAuthorizationRuleCollection | getRules () Returns list of authorization rules.
void | loadApplicationConfigurationFromXml ( TXmlElement $dom, string $configPath) Loads the configuration specific for application part
void | loadFromFile ( string $fname, string $configPagePath) Loads a specific config file.
void | loadFromFiles ( string $basePath) Loads configuration for a page specified in a path format.
void | loadFromXml ( TXmlElement $dom, string $configPath, string $configPagePath) Loads a page configuration.
void | loadPageConfigurationFromXml ( TXmlElement $dom, string $configPath, string $configPagePath) Loads the configuration specific for page service.

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constructor Details

## __construct

public __construct | Array

Constructor.

Method Details

## getApplicationConfigurations

public array getApplicationConfigurations | ()

Output
array | list of application configurations specified along page path
Exception

## getExternalConfigurations

public array getExternalConfigurations | ()

Output
array | list of external configuration files. Each element is like $filePath=>$condition
Exception

## getProperties

public array getProperties | ()

Returns list of page initial property values.

Each array element represents a single property with the key being the property name and the value the initial property value.

Output
array | list of page initial property values
Exception

## getRules

public TAuthorizationRuleCollection getRules | ()

Returns list of authorization rules.

The authorization rules are aggregated (bottom-up) from configuration files along the path to the specified page.

Output
TAuthorizationRuleCollection | collection of authorization rules
Exception

## loadApplicationConfigurationFromXml

public void loadApplicationConfigurationFromXml | (TXmlElement $dom , string $configPath )

Loads the configuration specific for application part

Input
TXmlElement | $dom | config xml element
string | $configPath | base path corresponding to this xml element
Output
Exception

## loadFromFile

public void loadFromFile | (string $fname , string $configPagePath )

Loads a specific config file.

Input
string | $fname | config file name
string | $configPagePath | the page path that the config file is associated with. The page path doesn't include the page name.
Output
Exception

## loadFromFiles

public void loadFromFiles | (string $basePath )

Loads configuration for a page specified in a path format.

Input
string | $basePath | root path for pages
Output
Exception

## loadFromXml

public void loadFromXml | (TXmlElement $dom , string $configPath , string $configPagePath )

Loads a page configuration.

The configuration includes information for both application and page service.

Input
TXmlElement | $dom | config xml element
string | $configPath | the directory containing this configuration
string | $configPagePath | the page path that the config XML is associated with. The page path doesn't include the page name.
Output
Exception

## loadPageConfigurationFromXml

public void loadPageConfigurationFromXml | (TXmlElement $dom , string $configPath , string $configPagePath )

Loads the configuration specific for page service.

Input
TXmlElement | $dom | config xml element
string | $configPath | base path corresponding to this xml element
string | $configPagePath | the page path that the config XML is associated with. The page path doesn't include the page name.
Output
Exception